<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\Composer\Autoload\ClassLoader</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_add" title="add ::Registers a set of PSR-0 directories for a given prefix, either
appending or prepending to the ones previously set for this prefix.">
            <span class="description">Registers a set of PSR-0 directories for a given prefix, either
appending or prepending to the ones previously set for this prefix.</span><pre>add</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_addClassMap" title="addClassMap ::">
            <span class="description"></span><pre>addClassMap</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_addPsr4" title="addPsr4 ::Registers a set of PSR-4 directories for a given namespace, either
appending or prepending to the ones previously set for this namespace.">
            <span class="description">Registers a set of PSR-4 directories for a given namespace, either
appending or prepending to the ones previously set for this namespace.</span><pre>addPsr4</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_findFile" title="findFile ::Finds the path to the file where the class is defined.">
            <span class="description">Finds the path to the file where the class is defined.</span><pre>findFile</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getApcuPrefix" title="getApcuPrefix ::The APCu prefix in use, or null if APCu caching is not enabled.">
            <span class="description">The APCu prefix in use, or null if APCu caching is not enabled.</span><pre>getApcuPrefix</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getClassMap" title="getClassMap ::">
            <span class="description"></span><pre>getClassMap</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFallbackDirs" title="getFallbackDirs ::">
            <span class="description"></span><pre>getFallbackDirs</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFallbackDirsPsr4" title="getFallbackDirsPsr4 ::">
            <span class="description"></span><pre>getFallbackDirsPsr4</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getPrefixes" title="getPrefixes ::">
            <span class="description"></span><pre>getPrefixes</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getPrefixesPsr4" title="getPrefixesPsr4 ::">
            <span class="description"></span><pre>getPrefixesPsr4</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getUseIncludePath" title="getUseIncludePath ::Can be used to check if the autoloader uses the include path to check
for classes.">
            <span class="description">Can be used to check if the autoloader uses the include path to check
for classes.</span><pre>getUseIncludePath</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isClassMapAuthoritative" title="isClassMapAuthoritative ::Should class lookup fail if not found in the current class map?">
            <span class="description">Should class lookup fail if not found in the current class map?</span><pre>isClassMapAuthoritative</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_loadClass" title="loadClass ::Loads the given class or interface.">
            <span class="description">Loads the given class or interface.</span><pre>loadClass</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_register" title="register ::Registers this instance as an autoloader.">
            <span class="description">Registers this instance as an autoloader.</span><pre>register</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_set" title="set ::Registers a set of PSR-0 directories for a given prefix,
replacing any others previously set for this prefix.">
            <span class="description">Registers a set of PSR-0 directories for a given prefix,
replacing any others previously set for this prefix.</span><pre>set</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setApcuPrefix" title="setApcuPrefix ::APCu prefix to use to cache found/not-found classes, if the extension is enabled.">
            <span class="description">APCu prefix to use to cache found/not-found classes, if the extension is enabled.</span><pre>setApcuPrefix</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setClassMapAuthoritative" title="setClassMapAuthoritative ::Turns off searching the prefix and fallback directories for classes
that have not been registered with the class map.">
            <span class="description">Turns off searching the prefix and fallback directories for classes
that have not been registered with the class map.</span><pre>setClassMapAuthoritative</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setPsr4" title="setPsr4 ::Registers a set of PSR-4 directories for a given namespace,
replacing any others previously set for this namespace.">
            <span class="description">Registers a set of PSR-4 directories for a given namespace,
replacing any others previously set for this namespace.</span><pre>setPsr4</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setUseIncludePath" title="setUseIncludePath ::Turns on searching the include path for class files.">
            <span class="description">Turns on searching the include path for class files.</span><pre>setUseIncludePath</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_unregister" title="unregister ::Unregisters this instance as an autoloader.">
            <span class="description">Unregisters this instance as an autoloader.</span><pre>unregister</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_findFileWithExtension" title="findFileWithExtension ::">
                                <span class="description"></span><pre>findFileWithExtension</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>ClassLoader</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description">ClassLoader implements a PSR-0, PSR-4 and classmap class loader.</p>
                <div class="details">
                    <div class="long_description"><p>$loader = new \Composer\Autoload\ClassLoader();</p>
<pre><code>// register classes with namespaces
$loader-&gt;add('Symfony\Component', __DIR__.'/component');
$loader-&gt;add('Symfony',           __DIR__.'/framework');

// activate the autoloader
$loader-&gt;register();

// to enable searching the include path (eg. for PEAR packages)
$loader-&gt;setUseIncludePath(true);</code></pre>
<p>In this example, if you try to use a class in the Symfony\Component
namespace or one of its children (Symfony\Component\Console for instance),
the autoloader will first look for the class under the component/
directory, and it will then fallback to the framework/ directory if not
found before giving up.</p>
<p>This class is loosely based on the Symfony UniversalClassLoader.</p>
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>author                                    </th>
                                    <td><p>Fabien Potencier <a href="mailto:fabien@symfony.com">fabien@symfony.com</a></p>
                                    </td>
                                </tr>                                <tr>
                                    <th>author                                    </th>
                                    <td><p>Jordi Boggiano <a href="mailto:j.boggiano@seld.be">j.boggiano@seld.be</a></p>
                                    </td>
                                </tr>                                <tr>
                                    <th>see                                    </th>
                                    <td>
                                    </td>
                                </tr>                                <tr>
                                    <th>see                                    </th>
                                    <td>
                                    </td>
                                </tr>                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_add"></a>
                        <div class="element clickable methodpublic method_add" data-toggle="collapse" data-target=".method_add .collapse">
                            <h2>Registers a set of PSR-0 directories for a given prefix, either
appending or prepending to the ones previously set for this prefix.</h2>
                            <pre>add(string $prefix,array|string $paths,boolean $prepend = false)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$prefix</h4>
                                                <code>string</code><p><p>The prefix</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$paths</h4>
                                                <code>array|string</code><p><p>The PSR-0 root directories</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$prepend</h4>
                                                <code>boolean</code><p><p>Whether to prepend the directories</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_addClassMap"></a>
                        <div class="element clickable methodpublic method_addClassMap" data-toggle="collapse" data-target=".method_addClassMap .collapse">
                            <h2>addClassMap</h2>
                            <pre>addClassMap(array $classMap)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$classMap</h4>
                                                <code>array</code><p><p>Class to filename map</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_addPsr4"></a>
                        <div class="element clickable methodpublic method_addPsr4" data-toggle="collapse" data-target=".method_addPsr4 .collapse">
                            <h2>Registers a set of PSR-4 directories for a given namespace, either
appending or prepending to the ones previously set for this namespace.</h2>
                            <pre>addPsr4(string $prefix,array|string $paths,boolean $prepend = false)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\InvalidArgumentException</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$prefix</h4>
                                                <code>string</code><p><p>The prefix/namespace, with trailing '\'</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$paths</h4>
                                                <code>array|string</code><p><p>The PSR-4 base directories</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$prepend</h4>
                                                <code>boolean</code><p><p>Whether to prepend the directories</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_findFile"></a>
                        <div class="element clickable methodpublic method_findFile" data-toggle="collapse" data-target=".method_findFile .collapse">
                            <h2>Finds the path to the file where the class is defined.</h2>
                            <pre>findFile(string $class): string|false</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$class</h4>
                                                <code>string</code><p><p>The name of the class</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string|false</code><p><p>The path if found, false otherwise</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_findFileWithExtension"></a>
                        <div class="element clickable methodprivate method_findFileWithExtension" data-toggle="collapse" data-target=".method_findFileWithExtension .collapse">
                            <h2>findFileWithExtension</h2>
                            <pre>findFileWithExtension( $class, $ext)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$class</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$ext</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getApcuPrefix"></a>
                        <div class="element clickable methodpublic method_getApcuPrefix" data-toggle="collapse" data-target=".method_getApcuPrefix .collapse">
                            <h2>The APCu prefix in use, or null if APCu caching is not enabled.</h2>
                            <pre>getApcuPrefix(): string|null</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string|null</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getClassMap"></a>
                        <div class="element clickable methodpublic method_getClassMap" data-toggle="collapse" data-target=".method_getClassMap .collapse">
                            <h2>getClassMap</h2>
                            <pre>getClassMap()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getFallbackDirs"></a>
                        <div class="element clickable methodpublic method_getFallbackDirs" data-toggle="collapse" data-target=".method_getFallbackDirs .collapse">
                            <h2>getFallbackDirs</h2>
                            <pre>getFallbackDirs()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getFallbackDirsPsr4"></a>
                        <div class="element clickable methodpublic method_getFallbackDirsPsr4" data-toggle="collapse" data-target=".method_getFallbackDirsPsr4 .collapse">
                            <h2>getFallbackDirsPsr4</h2>
                            <pre>getFallbackDirsPsr4()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getPrefixes"></a>
                        <div class="element clickable methodpublic method_getPrefixes" data-toggle="collapse" data-target=".method_getPrefixes .collapse">
                            <h2>getPrefixes</h2>
                            <pre>getPrefixes()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getPrefixesPsr4"></a>
                        <div class="element clickable methodpublic method_getPrefixesPsr4" data-toggle="collapse" data-target=".method_getPrefixesPsr4 .collapse">
                            <h2>getPrefixesPsr4</h2>
                            <pre>getPrefixesPsr4()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getUseIncludePath"></a>
                        <div class="element clickable methodpublic method_getUseIncludePath" data-toggle="collapse" data-target=".method_getUseIncludePath .collapse">
                            <h2>Can be used to check if the autoloader uses the include path to check
for classes.</h2>
                            <pre>getUseIncludePath(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isClassMapAuthoritative"></a>
                        <div class="element clickable methodpublic method_isClassMapAuthoritative" data-toggle="collapse" data-target=".method_isClassMapAuthoritative .collapse">
                            <h2>Should class lookup fail if not found in the current class map?</h2>
                            <pre>isClassMapAuthoritative(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_loadClass"></a>
                        <div class="element clickable methodpublic method_loadClass" data-toggle="collapse" data-target=".method_loadClass .collapse">
                            <h2>Loads the given class or interface.</h2>
                            <pre>loadClass(string $class): boolean|null</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$class</h4>
                                                <code>string</code><p><p>The name of the class</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean|null</code><p><p>True if loaded, null otherwise</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_register"></a>
                        <div class="element clickable methodpublic method_register" data-toggle="collapse" data-target=".method_register .collapse">
                            <h2>Registers this instance as an autoloader.</h2>
                            <pre>register(boolean $prepend = false)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$prepend</h4>
                                                <code>boolean</code><p><p>Whether to prepend the autoloader or not</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_set"></a>
                        <div class="element clickable methodpublic method_set" data-toggle="collapse" data-target=".method_set .collapse">
                            <h2>Registers a set of PSR-0 directories for a given prefix,
replacing any others previously set for this prefix.</h2>
                            <pre>set(string $prefix,array|string $paths)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$prefix</h4>
                                                <code>string</code><p><p>The prefix</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$paths</h4>
                                                <code>array|string</code><p><p>The PSR-0 base directories</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setApcuPrefix"></a>
                        <div class="element clickable methodpublic method_setApcuPrefix" data-toggle="collapse" data-target=".method_setApcuPrefix .collapse">
                            <h2>APCu prefix to use to cache found/not-found classes, if the extension is enabled.</h2>
                            <pre>setApcuPrefix(string|null $apcuPrefix)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$apcuPrefix</h4>
                                                <code>string|null</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setClassMapAuthoritative"></a>
                        <div class="element clickable methodpublic method_setClassMapAuthoritative" data-toggle="collapse" data-target=".method_setClassMapAuthoritative .collapse">
                            <h2>Turns off searching the prefix and fallback directories for classes
that have not been registered with the class map.</h2>
                            <pre>setClassMapAuthoritative(boolean $classMapAuthoritative)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$classMapAuthoritative</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setPsr4"></a>
                        <div class="element clickable methodpublic method_setPsr4" data-toggle="collapse" data-target=".method_setPsr4 .collapse">
                            <h2>Registers a set of PSR-4 directories for a given namespace,
replacing any others previously set for this namespace.</h2>
                            <pre>setPsr4(string $prefix,array|string $paths)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\InvalidArgumentException</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$prefix</h4>
                                                <code>string</code><p><p>The prefix/namespace, with trailing '\'</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$paths</h4>
                                                <code>array|string</code><p><p>The PSR-4 base directories</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setUseIncludePath"></a>
                        <div class="element clickable methodpublic method_setUseIncludePath" data-toggle="collapse" data-target=".method_setUseIncludePath .collapse">
                            <h2>Turns on searching the include path for class files.</h2>
                            <pre>setUseIncludePath(boolean $useIncludePath)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$useIncludePath</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_unregister"></a>
                        <div class="element clickable methodpublic method_unregister" data-toggle="collapse" data-target=".method_unregister .collapse">
                            <h2>Unregisters this instance as an autoloader.</h2>
                            <pre>unregister()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_prefixLengthsPsr4"> </a>
                            <div class="element clickable propertyprivate property_prefixLengthsPsr4" data-toggle="collapse" data-target=".property_prefixLengthsPsr4 .collapse">
                                <h2>prefixLengthsPsr4</h2>
                                <pre>prefixLengthsPsr4 :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_prefixDirsPsr4"> </a>
                            <div class="element clickable propertyprivate property_prefixDirsPsr4" data-toggle="collapse" data-target=".property_prefixDirsPsr4 .collapse">
                                <h2>prefixDirsPsr4</h2>
                                <pre>prefixDirsPsr4 :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_fallbackDirsPsr4"> </a>
                            <div class="element clickable propertyprivate property_fallbackDirsPsr4" data-toggle="collapse" data-target=".property_fallbackDirsPsr4 .collapse">
                                <h2>fallbackDirsPsr4</h2>
                                <pre>fallbackDirsPsr4 :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_prefixesPsr0"> </a>
                            <div class="element clickable propertyprivate property_prefixesPsr0" data-toggle="collapse" data-target=".property_prefixesPsr0 .collapse">
                                <h2>prefixesPsr0</h2>
                                <pre>prefixesPsr0 :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_fallbackDirsPsr0"> </a>
                            <div class="element clickable propertyprivate property_fallbackDirsPsr0" data-toggle="collapse" data-target=".property_fallbackDirsPsr0 .collapse">
                                <h2>fallbackDirsPsr0</h2>
                                <pre>fallbackDirsPsr0 :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_useIncludePath"> </a>
                            <div class="element clickable propertyprivate property_useIncludePath" data-toggle="collapse" data-target=".property_useIncludePath .collapse">
                                <h2>useIncludePath</h2>
                                <pre>useIncludePath :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_classMap"> </a>
                            <div class="element clickable propertyprivate property_classMap" data-toggle="collapse" data-target=".property_classMap .collapse">
                                <h2>classMap</h2>
                                <pre>classMap :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_classMapAuthoritative"> </a>
                            <div class="element clickable propertyprivate property_classMapAuthoritative" data-toggle="collapse" data-target=".property_classMapAuthoritative .collapse">
                                <h2>classMapAuthoritative</h2>
                                <pre>classMapAuthoritative :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_missingClasses"> </a>
                            <div class="element clickable propertyprivate property_missingClasses" data-toggle="collapse" data-target=".property_missingClasses .collapse">
                                <h2>missingClasses</h2>
                                <pre>missingClasses :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_apcuPrefix"> </a>
                            <div class="element clickable propertyprivate property_apcuPrefix" data-toggle="collapse" data-target=".property_apcuPrefix .collapse">
                                <h2>apcuPrefix</h2>
                                <pre>apcuPrefix :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\Composer\Autoload\ClassLoader"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/Composer.Autoload.html">Autoload</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/Composer.Autoload.ClassLoader.html">ClassLoader</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:44 +0000.<br/>
    </footer></body>
</html>
